Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.singularsys.jep.walkers
Class PrefixTreeDumper

    java.lang.Object
      com.singularsys.jep.walkers.PrefixTreeWalker
          com.singularsys.jep.walkers.PrefixTreeDumper

All Implemented Interfaces:
  ParserVisitor

    public class PrefixTreeDumper

extends PrefixTreeWalker

Dumps the contents of a tree to a specified stream, or to standard output. Use this class by calling the walk method.

Author:
  Richard Morris

Constructor Summary
`PrefixTreeDumper()`
`PrefixTreeDumper(java.io.PrintStream stream)`

Method Summary
`protected void` | `output(Node n, java.lang.Object data)`
`java.lang.Object` | `visit(ASTConstant node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTFunNode node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTOpNode node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTVarNode node, java.lang.Object data)`

Methods inherited from class com.singularsys.jep.walkers.PrefixTreeWalker
`walk`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrefixTreeDumper

    public PrefixTreeDumper()

### PrefixTreeDumper

    public PrefixTreeDumper(java.io.PrintStream stream)

Method Detail

### visit

    public java.lang.Object visit(ASTConstant node,
                                  java.lang.Object data)
                           throws EvaluationException

  Throws:
    `EvaluationException`

### visit

    public java.lang.Object visit(ASTOpNode node,
                                  java.lang.Object data)
                           throws EvaluationException

  Throws:
    `EvaluationException`

### visit

    public java.lang.Object visit(ASTFunNode node,
                                  java.lang.Object data)
                           throws EvaluationException

  Throws:
    `EvaluationException`

### visit

    public java.lang.Object visit(ASTVarNode node,
                                  java.lang.Object data)
                           throws EvaluationException

  Throws:
    `EvaluationException`

### output

    protected void output(Node n,
                          java.lang.Object data)
                   throws EvaluationException

  Throws:
    `EvaluationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Singular Systems http://www.singularsys.com/jep